Hi Tiago,

You are duplicating functions that live in OCC.Utils.Construct
You're probably looking for the sew_shapes.

Here's the doxygen entry for BrepBuilderAPI_MAkeShell:

Describes functions to build a 
shape corresponding to the skin of a surface. 
Note that the term shell in the class name has the same definition 
as that of a shell in STEP, in other words the skin of a shape, 
and not a solid model defined by surface and thickness. If you want 
to build the second sort of shell, you must use 
BRepOffsetAPI_MakeOffsetShape. A shell is made of a series of 
faces connected by their common edges. 
If the surface is C2 continuous, the shell will contain only 1 face. 
If the surface is not C2 continuous, MakeShell breaks the 
surface down into several faces which are all C2 continuous and 
which are connected along the non-regular curves on the surface. 
The resulting shell contains all these faces. 
Construction of a Shell from a non-C2 continuous Surface 
A MakeShell object provides a framework for: 
- defining the construction of a shell, 
- implementing the construction algorithm, and 
- consulting the result. 
Warning 
The connected C2 faces in the shell resulting from a decomposition of 
the surface are not sewn. For a sewn result, you need to use 
BRepOffsetAPI_Sewing. For a shell with thickness, you need to use 
BRepOffsetAPI_MakeOffsetShape. 

-jelle


On Jul 1, 2010, at 9:51 PM, Thiago Franco Moraes wrote:

> Hi all,
> 
> From a list of triangles I'm creating a bunch of TopoDS_Face using
> BRepBuilderAPI_MakeFace, above a function I'm using to do this:
> 
> def make_face(points):
>    pairs = zip(points, points[1::]+[points[0]])
>    wire = BRepBuilderAPI_MakeWire()
>    for v1, v2 in pairs:
>        e = BRepBuilderAPI_MakeEdge(gp_Pnt(*v1), gp_Pnt(*v2))
>        wire.Add(e.Edge())
> 
>    print "Returning Face"
>    face = BRepBuilderAPI_MakeFace(gp_Pln(gp_Ax3(gp().XOY())),
>                                   wire.Wire())
> 
>    return face
> 
> Now is necessary to join those TopoDS_Face and create TopoDS_Shell. To
> do that I tried to use BRepBuilderAPI_MakeShell, but it doesn't have a
> Add method to add the TopoDS_Faces. How can I add those faces to the
> shell? Or I'm doing something wrong?
> 
> Thanks!
> 
> _______________________________________________
> Pythonocc-users mailing list
> Pythonocc-users@gna.org
> https://mail.gna.org/listinfo/pythonocc-users


_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to